package com.instaply.sdk.proxy

import com.notnoop.apns.ApnsService

import org.mockito.Mockito

import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import org.springframework.context.annotation.Import
import org.springframework.test.web.servlet.MockMvc
import org.springframework.test.web.servlet.setup.MockMvcBuilders
import org.springframework.web.context.WebApplicationContext

@Configuration
@Import(IpnsProxyApplication.class)
class TestConfiguration {

  @Bean
  public MockMvc mockMvc(WebApplicationContext webApplicationContext) {
    return MockMvcBuilders.webAppContextSetup(webApplicationContext).build()
  }

  @Bean
  public ApnsService apnsService() {
    return Mockito.mock(ApnsService.class)
  }
}

