package com.instaply.sdk.proxy.dto;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.URL;

public class OrganizationDto {
  @NotBlank
  private String name;
  @URL
  private String picture;

  public String getName() {
    return name;
  }

  public String getPicture() {
    return picture;
  }

  @Override
  public String toString() {
    return "OrganizationDto{" +
        "name='" + name + '\'' +
        ", picture='" + picture + '\'' +
        '}';
  }
}