package com.instaply.sdk.proxy.dto;

import java.time.Instant;
import java.time.OffsetDateTime;
import java.time.ZoneOffset;
import java.time.format.DateTimeFormatter;

public class StatusDto {
  private final OffsetDateTime timestamp;

  public StatusDto() {
    this.timestamp = Instant.now().atOffset(ZoneOffset.UTC);
  }

  public OffsetDateTime getTimestamp() {
    return timestamp;
  }

  @Override
  public String toString() {
    return "StatusDto{" +
        "timestamp=" + timestamp.format(DateTimeFormatter.ISO_OFFSET_DATE_TIME) +
        '}';
  }
}
