package com.instaply.sdk.proxy.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "customer_device")
public class Device {

  @Id
  @Column(name = "id", updatable = false)
  private Long id;

  @Column(name = "customer_id", updatable = false)
  private String customerId;

  @Column(name = "device_type", updatable = false)
  private String type;

  @Column(name = "device_token", updatable = false)
  private String token;

  public Device() {
  }

  public Long getId() {
    return id;
  }

  public String getCustomerId() {
    return customerId;
  }

  public String getType() {
    return type;
  }

  public String getToken() {
    return token;
  }

  @Override
  public String toString() {
    return "Device{" +
        "id=" + id +
        ", customerId='" + customerId + '\'' +
        ", type='" + type + '\'' +
        ", token='" + token + '\'' +
        '}';
  }
}
