package com.instaply.sdk.proxy.repository;

import com.instaply.sdk.proxy.entity.Device;

import java.util.List;

import org.springframework.data.repository.Repository;

/**
 * Read-only repository to retrieve the customer devices.
 */
public interface DeviceRepository extends Repository<Device, Long> {

  List<Device> findAllByCustomerId(String customerId);

}
